Package wx :: Package lib :: Package mixins :: Module listctrl :: Class CheckListCtrlMixin

[frames | no frames]

## Class CheckListCtrlMixin

This is a mixin for ListCtrl which add a checkbox in the first column of each row. It is inspired by limodou's CheckList.py(which can be got from his NewEdit) and improved:

> - You can just use InsertStringItem() to insert new items;
> - Once a checkbox is checked/unchecked, the corresponding item is not selected;
> - You can use SetItemData() and GetItemData();
> - Interfaces are changed to OnCheckItem(), IsChecked(), CheckItem().

You should not set a imagelist for the ListCtrl once this mixin is used.

Method Summary
| `__init__(self, check_image, uncheck_image)`
| `__InsertStringItem_(self, index, label)`
| `__OnLeftDown_(self, evt)`
| `CheckItem(self, index, check)`
| `IsChecked(self, index)`
| `OnCheckItem(self, index, flag)`
| `ToggleItem(self, index)`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:12 2007 | http://epydoc.sf.net